Package com.google.gwt.logging.client

## Class HasWidgetsLogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - com.google.gwt.logging.client.HasWidgetsLogHandler

- Direct Known Subclasses:
    `PopupLogHandler`

      public class HasWidgetsLogHandler
      extends java.util.logging.Handler

  A handler which can log to any widget which extends the HasWidgets interface. This allows users to log to anywhere they would like in their UI - see the LogConfiguration class for an example. Note that the widget passed in must handle multiple calls to widget.add(widget) gracefully.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HasWidgetsLogHandler​(HasWidgets container)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `void` | `close()` |
    `void` | `flush()` |
    `void` | `publish​(java.util.logging.LogRecord record)` |

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HasWidgetsLogHandler

          public HasWidgetsLogHandler​(HasWidgets container)

  - ### Method Detail

    - #### clear

          public void clear()

    - #### close

          public void close()

      Specified by:
        `close` in class `java.util.logging.Handler`

    - #### flush

          public void flush()

      Specified by:
        `flush` in class `java.util.logging.Handler`

    - #### publish

          public void publish​(java.util.logging.LogRecord record)

      Specified by:
        `publish` in class `java.util.logging.Handler`